g.gui.mapswipe(1)

NAME
g.gui.mapswipe - Interactively compares two maps by swiping a visibility bar.

KEYWORDS
general, GUI, display

SYNOPSIS
g.gui.mapswipe
g.gui.mapswipe --help
g.gui.mapswipe [first=name] [second=name] [mode=string] [--help] [--verbose] [--quiet] [--ui]

  Flags:

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

first=name
    First (top/right) raster map

second=name
    Second (bottom/left) raster map

mode=string
    View mode
    Options: swipe, mirror
    Default: swipe
    swipe: swiping the upper map layer to show the map layer below
    mirror: synchronized maps side by side

DESCRIPTION
The Map Swipe is a wxGUI component which allows the user to interactively compare two raster maps of the same area by revealing different parts of the raster maps. It is useful e.g. for comparing raster maps from different time periods. Map Swipe can be launched from the menu File -> Map Swipe.

Map Swipe allows you to:

    •   switch orientation of the swipe line (horizontal or vertical)

    •   zooming, panning

    •   automatically load maps when opening Map Swipe with two selected raster maps in Layer Manager

    •   compare 2 raster maps or load different combinations of raster and vector maps and set transparency (advanced mode)

    •   save display to graphics file

    •   display text labels with map names

    •   choose between ’swipe’ mode (default) and ’mirror’ mode (synchronized maps displayed side by side)

    •   change the appearance of cursor in ’mirror’ mode (available in Map Swipe settings)
Pre and post disaster images of the tsunami in Japan in 2011. The upper MODIS image taken on February 26, 2011, shows the coastline under normal conditions while the lower MODIS image on March 13, 2011, shows a clear view of tsunami flooding along the coastline. Water, black and dark blue in these false-color images, still covers the ground as much as five kilometers (three miles) from the coast. Source: Earth Observatory/NASA

SEE ALSO
wxGUI
wxGUI components

See also the user wiki page.

AUTHOR
Anna Kratochvilova, Czech Technical University in Prague, Czech Republic

SOURCE CODE

Available at: wxGUI Map Swipe source code (history)

Accessed: Wednesday Mar 20 00:21:24 2024

Main index | GUI index | Topics index | Keywords index | Graphical index | Full index

© 2003-2023 GRASS Development Team, GRASS GIS 7.8.8 Reference Manual